org.eclipse.microprofile.opentracing.tck.rest.client

## Class OpenTracingMpRestClientTests

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.opentracing.tck.OpenTracingBaseTests
    - - org.eclipse.microprofile.opentracing.tck.rest.client.OpenTracingMpRestClientTests

All Implemented Interfaces:
  org.testng.IHookable, org.testng.ITestNGListener

    public class OpenTracingMpRestClientTests
    extends OpenTracingBaseTests

Author:
  Pavol Loffay

### Nested Class Summary

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

### Fields inherited from class org.eclipse.microprofile.opentracing.tck.OpenTracingBaseTests

`deploymentURL, JAXRS_COMPONENT`

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
Constructor and Description
`OpenTracingMpRestClientTests()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.jboss.shrinkwrap.api.spec.WebArchive` `createDeployment()`
`protected void` `executeNested(String path, int uniqueId, int nestDepth, int nestBreadth, boolean failNest, boolean async)` Execute the nested web service.
`protected TestSpan` `getExpectedNestedServerSpan(String path, String spanKind, int uniqueId, int nestDepth, int nestBreadth, boolean failNest, boolean isFailed, boolean async)` The expected nested span layout.

### Methods inherited from class org.eclipse.microprofile.opentracing.tck.OpenTracingBaseTests

`assertEqualErrorTrees, assertEqualTrees, beforeEachTest, executeRemoteWebServiceRaw, executeRemoteWebServiceRaw, executeRemoteWebServiceTracerTree, getEndpointMethod, getExpectedSpanTags, getExpectedSpanTagsForError, getNestedQueryParameters, getOperationName, getRandomNumber, getWebServiceURL, getWebServiceURL, testMultithreadedNestedSpans, testNestedSpans`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OpenTracingMpRestClientTests

    public OpenTracingMpRestClientTests()

### Method Detail

#### createDeployment

    @Deployment
    public static org.jboss.shrinkwrap.api.spec.WebArchive createDeployment()

#### executeNested

    protected void executeNested(String path,
                                 int uniqueId,
                                 int nestDepth,
                                 int nestBreadth,
                                 boolean failNest,
                                 boolean async)

Execute the nested web service.

Overrides:
  `executeNested` in class `OpenTracingBaseTests`
Parameters:
  `uniqueId` - Some unique ID.
  `nestDepth` - How deep to nest the calls.
  `nestBreadth` - Breadth of first level of nested calls.
  `failNest` - Whether to fail the nested call.
  `async` - Whether to execute nested requests asynchronously.

#### getExpectedNestedServerSpan

    protected TestSpan getExpectedNestedServerSpan(String path,
                                                   String spanKind,
                                                   int uniqueId,
                                                   int nestDepth,
                                                   int nestBreadth,
                                                   boolean failNest,
                                                   boolean isFailed,
                                                   boolean async)

The expected nested span layout.

Overrides:
  `getExpectedNestedServerSpan` in class `OpenTracingBaseTests`
Parameters:
  `spanKind` - Span kind
  `uniqueId` - The unique ID of the request.
  `nestDepth` - Nest depth
  `nestBreadth` - Nest breadth
  `failNest` - Whether to fail the nested call.
  `isFailed` - Whether this request is expected to fail.
  `async` - Whether to execute asynchronously.
Returns:
  Span for the nested call.